import xhiveframework
from xhiveframework.desk.doctype.notification_settings.notification_settings import (
	create_notification_settings,
)


def execute():
	xhiveframework.reload_doc("desk", "doctype", "notification_settings")
	xhiveframework.reload_doc("desk", "doctype", "notification_subscribed_document")

	users = xhiveframework.get_all("User", fields=["name"])
	for user in users:
		create_notification_settings(user.name)
